'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _combineStyles = require('../internal/combine-styles');

var _combineStyles2 = _interopRequireDefault(_combineStyles);

var _colors = require('../settings/colors');

var _colors2 = _interopRequireDefault(_colors);

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var root = function root() {
  var color = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _colors2.default.theme;
  var overrideStyle = arguments[1];

  var style = (0, _combineStyles2.default)(_styles2.default.dialog, { backgroundColor: color });

  return (0, _combineStyles2.default)(style, overrideStyle);
};

var header = function header(overrideStyle) {
  return (0, _combineStyles2.default)(_styles2.default.header, overrideStyle);
};

exports.default = { root: root, header: header };
module.exports = exports.default;