'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _combineStyles = require('../internal/combine-styles');

var _combineStyles2 = _interopRequireDefault(_combineStyles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var hr = function hr(overrideStyle) {
  return (0, _combineStyles2.default)(_styles2.default.hr, overrideStyle);
};
var text = function text(overrideStyle) {
  return (0, _combineStyles2.default)(_styles2.default.text, overrideStyle);
};

exports.default = {
  hr: hr,
  text: text
};
module.exports = exports.default;