'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _combineStyles = require('../internal/combine-styles');

var _combineStyles2 = _interopRequireDefault(_combineStyles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var root = function root(image, overrideStyle) {
  var style = (0, _combineStyles2.default)(_styles2.default.emptyState, { backgroundImage: 'url(' + image + ')' });

  return (0, _combineStyles2.default)(style, overrideStyle);
};

var heading = function heading(overrideStyle) {
  return (0, _combineStyles2.default)(_styles2.default.heading, overrideStyle);
};

var body = function body(overrideStyle) {
  return (0, _combineStyles2.default)(_styles2.default.body, overrideStyle);
};

exports.default = {
  root: root,
  heading: heading,
  body: body
};
module.exports = exports.default;