'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _colors = require('../settings/colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  emptyState: {
    alignItems: 'center',
    backgroundPosition: 'center bottom',
    backgroundSize: 'cover',
    boxSizing: 'border-box',
    display: 'flex',
    flexDirection: 'column',
    height: '100%',
    justifyContent: 'center',
    padding: '24px',
    backgroundImage: 'url()'
  },
  heading: {
    fontSize: '16px',
    fontWeight: 'bolder',
    color: _colors2.default.secondaryText,
    margin: '0',
    textAlign: 'center'
  },
  body: {
    fontSize: '16px',
    fontWeight: 'inherit',
    color: _colors2.default.primaryText,
    marginBottom: '32px',
    marginTop: '16px',
    textAlign: 'center',
    maxWidth: '100%'
  }
};
module.exports = exports.default;