'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _colors = require('../settings/colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var IconChevronDown = function IconChevronDown(_ref) {
  var color = _ref.color,
      custom = _objectWithoutProperties(_ref, ['color']);

  return _react2.default.createElement(
    'svg',
    _extends({ fill: 'none', height: '24', viewBox: '0 0 24 24', width: '24' }, custom),
    _react2.default.createElement(
      'g',
      { fill: color },
      _react2.default.createElement('path', { d: 'M14.34,17.68025 C14.08,17.68025 13.83,17.58325 13.63,17.38725 L8.79,12.54725 C8.6,12.35925 8.5,12.10525 8.5,11.84025 C8.5,11.57525 8.6,11.32025 8.79,11.13325 L13.63,6.29325 C14.02,5.90225 14.65,5.90225 15.05,6.29325 C15.44,6.68425 15.44,7.31725 15.05,7.70725 L10.91,11.84025 L15.05,15.97325 C15.44,16.36325 15.44,16.99725 15.05,17.38725 C14.85,17.58325 14.59,17.68025 14.34,17.68025', transform: 'translate(12, 12) rotate(-90) translate(-12, -12)' })
    )
  );
};

IconChevronDown.propTypes = {
  color: _propTypes2.default.string
};

IconChevronDown.defaultProps = {
  color: _colors2.default.icons
};

IconChevronDown.displayName = 'IconChevronDown';

exports.default = IconChevronDown;
module.exports = exports.default;