'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _colors = require('../settings/colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var IconChevronRight = function IconChevronRight(_ref) {
  var color = _ref.color,
      custom = _objectWithoutProperties(_ref, ['color']);

  return _react2.default.createElement(
    'svg',
    _extends({ fill: 'none', height: '24', viewBox: '0 0 24 24', width: '24' }, custom),
    _react2.default.createElement(
      'g',
      { fill: color },
      _react2.default.createElement('path', { d: 'M14.84,17.68025 C14.58,17.68025 14.33,17.58325 14.13,17.38725 L9.29,12.54725 C9.1,12.35925 9,12.10525 9,11.84025 C9,11.57525 9.1,11.32025 9.29,11.13325 L14.13,6.29325 C14.52,5.90225 15.15,5.90225 15.55,6.29325 C15.94,6.68425 15.94,7.31725 15.55,7.70725 L11.41,11.84025 L15.55,15.97325 C15.94,16.36325 15.94,16.99725 15.55,17.38725 C15.35,17.58325 15.09,17.68025 14.84,17.68025', transform: 'translate(12.421250, 11.840125) scale(-1, 1) translate(-12.421250, -11.840125)' }),
      ' '
    )
  );
};

IconChevronRight.propTypes = {
  color: _propTypes2.default.string
};

IconChevronRight.defaultProps = {
  color: _colors2.default.icons
};

IconChevronRight.displayName = 'IconChevronRight';

exports.default = IconChevronRight;
module.exports = exports.default;