'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _colors = require('../settings/colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var IconPlus = function IconPlus(_ref) {
  var color = _ref.color,
      custom = _objectWithoutProperties(_ref, ['color']);

  return _react2.default.createElement(
    'svg',
    _extends({ fill: 'none', height: '24', viewBox: '0 0 24 24', width: '24' }, custom),
    _react2.default.createElement(
      'g',
      { fill: color, transform: 'translate(3, 3)' },
      _react2.default.createElement('path', { d: 'M8.95125,17.90625 C8.5365,17.90625 8.20125,17.57025 8.20125,17.15625 L8.20125,0.75 C8.20125,0.336 8.5365,0 8.95125,0 C9.366,0 9.70125,0.336 9.70125,0.75 L9.70125,17.15625 C9.70125,17.57025 9.366,17.90625 8.95125,17.90625' }),
      ' ',
      _react2.default.createElement('path', { d: 'M17.15625,9.70275 L0.75,9.70275 C0.33525,9.70275 0,9.3675 0,8.95275 C0,8.53875 0.33525,8.20275 0.75,8.20275 L17.15625,8.20275 C17.57025,8.20275 17.90625,8.53875 17.90625,8.95275 C17.90625,9.3675 17.57025,9.70275 17.15625,9.70275' }),
      ' '
    )
  );
};

IconPlus.propTypes = {
  color: _propTypes2.default.string
};

IconPlus.defaultProps = {
  color: _colors2.default.icons
};

IconPlus.displayName = 'IconPlus';

exports.default = IconPlus;
module.exports = exports.default;