'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _colors = require('../settings/colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var IconRadio = function IconRadio(_ref) {
  var color = _ref.color,
      custom = _objectWithoutProperties(_ref, ['color']);

  return _react2.default.createElement(
    'svg',
    _extends({ fill: 'none', height: '24', viewBox: '0 0 24 24', width: '24' }, custom),
    _react2.default.createElement(
      'g',
      { fill: color },
      _react2.default.createElement('path', { d: 'M12,7.5 C9.48,7.5 7.5,9.48 7.5,12 C7.5,14.52 9.48,16.5 12,16.5 C14.52,16.5 16.5,14.52 16.5,12 C16.5,9.48 14.52,7.5 12,7.5 L12,7.5 Z M12,3 C7.05,3 3,7.05 3,12 C3,16.95 7.05,21 12,21 C16.95,21 21,16.95 21,12 C21,7.05 16.95,3 12,3 L12,3 Z M12,19.2 C8.04,19.2 4.8,15.96 4.8,12 C4.8,8.04 8.04,4.8 12,4.8 C15.96,4.8 19.2,8.04 19.2,12 C19.2,15.96 15.96,19.2 12,19.2 L12,19.2 Z' }),
      ' '
    )
  );
};

IconRadio.propTypes = {
  color: _propTypes2.default.string
};

IconRadio.defaultProps = {
  color: _colors2.default.icons
};

IconRadio.displayName = 'IconRadio';

exports.default = IconRadio;
module.exports = exports.default;