"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
// 8-1-17
// Not using lodash, this because isNumber(NaN) returns true
// The lodash docs say,
// Note: To exclude Infinity, -Infinity, and NaN,
// which are classified as numbers, use the _.isFinite method.

var getPercentage = function getPercentage(value, min, max) {
  var percentage = (value - min) / (max - min);

  if (isNaN(percentage)) {
    // eslint-disable-line no-restricted-globals
    percentage = 0;
  }

  return percentage;
};

exports.default = getPercentage;
module.exports = exports.default;