'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _colors = require('../settings/colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  root: {
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
    padding: '4px 8px',
    cursor: 'pointer',
    color: _colors2.default.primaryText,
    ':hover': {
      color: _colors2.default.theme
    }
  },
  input: {
    opacity: 0,
    zIndex: -999,
    position: 'absolute'
  },
  label: {
    transition: 'all .3s ease-in-out',
    lineHeight: '24px',
    borderBottom: '2px solid transparent',
    fontSize: '16px',
    color: _colors2.default.secondaryText,
    fontWeight: 'bolder'
  },
  icon: {
    width: '24px',
    height: '24px',
    marginRight: '8px'
  }
};
module.exports = exports.default;