'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _colors = require('../settings/colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  root: {
    height: '48px',
    width: '100%',
    position: 'relative'
  },
  input: {
    appearance: 'none',
    border: '0',
    boxSizing: 'border-box',
    color: _colors2.default.icons,
    backgroundColor: _colors2.default.background,
    fontSize: '16px',
    lineHeight: '16px',
    paddingTop: '8px',
    paddingBottom: '8px',
    paddingLeft: '40px',
    paddingRight: '8px',
    width: '100%',
    height: '100%',
    fontWeight: 'inherit',
    fontFamily: 'inherit',

    ':focus': {
      outline: 'none'
    }
  },
  icon: {
    position: 'absolute',
    top: '12px',
    left: '8px'
  },
  placeholder: {
    color: _colors2.default.placeholderText
  }
};
module.exports = exports.default;