'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _combineStyles = require('../internal/combine-styles');

var _combineStyles2 = _interopRequireDefault(_combineStyles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var tabContainer = function tabContainer(overrideStyles) {
  return (0, _combineStyles2.default)(_styles2.default.tabContainer, overrideStyles);
};

var tabContent = function tabContent(selected, overrideStyles) {
  var style = _styles2.default.tabContent;

  if (selected) {
    style = (0, _combineStyles2.default)(style, { display: 'block' });
  }

  return (0, _combineStyles2.default)(style, overrideStyles);
};

exports.default = {
  tabContainer: tabContainer,
  tabContent: tabContent
};
module.exports = exports.default;