'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _colors = require('../settings/colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  buttons: {
    display: 'flex',
    flexWrap: 'wrap'
  },
  label: {
    fontSize: '16px',
    color: _colors2.default.secondaryText,
    fontWeight: 'bolder',
    padding: '0 0 8px 8px',
    display: 'inline-block'
  },
  error: {
    display: 'block',
    paddingLeft: '10px',
    color: _colors2.default.error,
    fontSize: '14px'
  }
};
module.exports = exports.default;