'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _combineStyles = require('../internal/combine-styles');

var _combineStyles2 = _interopRequireDefault(_combineStyles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var root = function root() {
  var depth = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1;
  var overrideStyle = arguments[1];

  var style = _styles2.default.root;

  style = (0, _combineStyles2.default)(style, { boxShadow: _styles2.default.depthShadows[depth - 1] });

  return (0, _combineStyles2.default)(style, overrideStyle);
};

exports.default = {
  root: root
};
module.exports = exports.default;