'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var colors = {
  lightGrey: '#F1F1F1',
  grey: '#DEDEDE',
  black: '#151515',
  white: '#FEFEFE',
  theme: '#1BA6C4',
  primaryText: '#212121',
  secondaryText: '#757575',
  placeholderText: '#C4C4C4',
  background: '#F7F7F7',
  icons: '#C4C4C4',
  boxShadow: 'rgba(117, 127, 133, 0.23)',
  alert: {
    success: '#DDF3D5',
    error: '#EDC8C5',
    warning: '#F8F4D5',
    info: '#CDE8F5'
  },
  inputs: 'rgba(196, 196, 196, 0.15)',
  error: '#FD2A43',
  online: '#54D38A',
  away: '#F6A623',
  offline: '#D0011B'
};

exports.default = colors;
module.exports = exports.default;