'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _colors = require('../settings/colors');

var _colors2 = _interopRequireDefault(_colors);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  root: {
    borderRadius: 0,
    borderTop: 0,
    borderRight: 0,
    borderBottom: '2px solid transparent',
    borderLeft: 0,
    backgroundColor: _colors2.default.white,
    outline: 0,
    cursor: 'pointer',
    boxSizing: 'border-box',
    padding: '0 8px',
    transition: 'opacity .3s ease-in-out, border .3s ease-in-out',
    opacity: '0.5',
    display: 'flex',
    flexDirection: 'column',
    alignItems: 'center',
    flex: 1,
    flexGrow: 'none',
    justifyContent: 'center',
    height: '48px',
    position: 'relative'
  },
  label: {
    color: _colors2.default.secondaryText,
    textTransform: 'capitalize',
    fontSize: '12px',
    fontWeight: 'bolder'
  },
  icon: {
    width: '24px',
    height: '24px'
  },
  badge: {
    position: 'absolute',
    right: '20px',
    top: '5px'
  }
};
module.exports = exports.default;